Last Comment Bug 763821 - Error console looks wonky on OS X
: Error console looks wonky on OS X
Status: RESOLVED FIXED
: regression
Product: Toolkit
Classification: Components
Component: Error Console (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla18
Assigned To: Tom Schuster [:evilpie]
:
Mentors:
Depends on: 799081
Blocks: 760951
  Show dependency treegraph
 
Reported: 2012-06-11 21:44 PDT by Justin Dolske [:Dolske]
Modified: 2012-10-16 17:03 PDT (History)
9 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
unaffected
+
unaffected


Attachments
Screenshot w/ new + old console (59.69 KB, image/png)
2012-06-11 21:44 PDT, Justin Dolske [:Dolske]
no flags Details
Proof of concept (1.71 KB, patch)
2012-06-20 02:51 PDT, neil@parkwaycc.co.uk
no flags Details | Diff | Review
filter at the bottom (1.89 KB, patch)
2012-09-11 06:32 PDT, Tom Schuster [:evilpie]
jaws: review+
Details | Diff | Review

Description Justin Dolske [:Dolske] 2012-06-11 21:44:33 PDT
Created attachment 632131 [details]
Screenshot w/ new + old console

Bug 760951 added a filter box to the error console, but made the appearance wonky on OS X... OS X convention is that the section "tabs" (all,errors,warning,etc -- not sure of the proper widget name) should be centered in the window. The addition of the filter box pushed them flush-left, which looks out of place.

Not sure what the solution is here. Re-centering the "tabs" would be a little tricky in XUL, and might still look odd with the filter field crowding it. Closest UI I can find is either a Finder window (which achieves balance by having navigation buttons on on the left), or Safari's own error console which uses a different widget style for the all/errors/warnings selection.
Comment 1 Tom Schuster [:evilpie] 2012-06-13 05:29:20 PDT
Sorry, I won't be of much help here, this was the first time I looked at XUL and I don't own an OS X system.
Comment 2 neil@parkwaycc.co.uk 2012-06-20 02:45:02 PDT
Move the filter box to ToolbarEval perhaps?
Comment 3 neil@parkwaycc.co.uk 2012-06-20 02:51:18 PDT
Created attachment 634830 [details] [diff] [review]
Proof of concept
Comment 4 Lukas Blakk [:lsblakk] use ?needinfo 2012-08-08 09:44:07 PDT
Gavin, this is not something we would hold a release for - seems like a nice-to-have but it does work in it's current state. If you can get someone assigned to working on this we'll continue tracking but otherwise I'm inclined to untrack this based on lack of activity and a lack of serious user effect.
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-08 14:25:25 PDT
I disagree; I think it would be ridiculous to ship this as-is. The solutions aren't hard, we just need to pick one (either back out the patch that caused this, or take something like Neil's patch). I'll make sure that happens.
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-08-21 14:57:19 PDT
I backed bug 760591 out on Aurora for Firefox 16:
https://hg.mozilla.org/releases/mozilla-aurora/rev/5e6da3c55e7c
Comment 7 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-08-21 14:59:33 PDT
That previous comment should have said "... backed out bug 760951 ..." (note the typo in the bug number). The commit message had the correct bug number.
Comment 8 Tom Schuster [:evilpie] 2012-09-05 05:34:04 PDT
Well can we take Neil's patch for this cycle?
Comment 9 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-10 02:52:34 PDT
Does it work? Can you take this bug? If not we'll need to just keep backing this patch out.
Comment 10 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-09-11 01:27:19 PDT
I talked with Tom at MozCamp and we think that a filter toolbar, similar to the find bar for the browser, will work here and won't make any of the platforms look awkward.

Tom, would you like to work on this?
Comment 11 Tom Schuster [:evilpie] 2012-09-11 04:10:25 PDT
Yep I am looking into this.
Comment 12 Tom Schuster [:evilpie] 2012-09-11 06:32:22 PDT
Created attachment 660057 [details] [diff] [review]
filter at the bottom

How would you like this? http://imgur.com/RNjNU
Would appreciate somebody testing this on Mac this time :)
Comment 13 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-09-17 17:54:12 PDT
Comment on attachment 660057 [details] [diff] [review]
filter at the bottom

Review of attachment 660057 [details] [diff] [review]:
-----------------------------------------------------------------

I tested this out on OS X and it looks good to me. I think this is a reasonable compromise that will allow us to ship this feature.
Comment 14 Tom Schuster [:evilpie] 2012-09-19 08:57:26 PDT
So should I land this?
Comment 15 Dave Townsend [:mossop] 2012-09-20 12:12:32 PDT
Comment on attachment 660057 [details] [diff] [review]
filter at the bottom

This looks pretty good on windows now and sort of weird with it moved to the bottom, I don't want to make a change that affects all platforms just to fix one without at least checking if UX are ok with this. Screenshot in comment 12.
Comment 16 neil@parkwaycc.co.uk 2012-09-20 13:35:43 PDT
(In reply to Tom Schuster from comment #12)
> How would you like this? http://imgur.com/RNjNU

Bugzilla accepts image attachments too, you know ;-)
Comment 17 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-03 16:04:48 PDT
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #9)
> Does it work? Can you take this bug? If not we'll need to just keep backing
> this patch out.

Given that this is blocked on UI review can someone nominate and backout on Aurora 17 before we go to Beta channel?
Comment 18 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-07 08:10:20 PDT
Comment on attachment 660057 [details] [diff] [review]
filter at the bottom

I don't think we need to block on ui-review, this is hidden-by-default UI.
Comment 19 Ryan VanderMeulen [:RyanVM] 2012-10-07 17:56:13 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/71c76fb26e9e
Comment 20 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-08 01:33:21 PDT
https://hg.mozilla.org/mozilla-central/rev/71c76fb26e9e
Comment 21 Dão Gottwald [:dao] 2012-10-08 04:54:55 PDT
(In reply to Dave Townsend (:Mossop) from comment #15)
> Comment on attachment 660057 [details] [diff] [review]
> filter at the bottom
> 
> This looks pretty good on windows now and sort of weird with it moved to the
> bottom, I don't want to make a change that affects all platforms just to fix
> one without at least checking if UX are ok with this. Screenshot in comment
> 12.

One way to make it look less weird would be to use the standard widget for this type of UI, <statusbar>, rather than a plain hbox.

I was close to backing this out since it landed without toolkit peer review, but filed bug 799081 instead since the problem this solved on OS X is worse. (However since bug 760951 went through the same broken process and given bug 760951 comment 12 and below, maybe I should have backed out both patches.)
Comment 22 Willy_ Foo_Foo 2012-10-08 17:15:15 PDT
Sorry but why has been the error console menu entry

web developer-error console removed?
Comment 23 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-10-08 17:18:11 PDT
(In reply to Sillius Soddus from comment #22)
> Sorry but why has been the error console menu entry
> 
> web developer-error console removed?

See https://bugzilla.mozilla.org/show_bug.cgi?id=602006
Comment 24 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-16 15:05:58 PDT
This is a regression tracked for 17 so an uplift nomination would be great here.
Comment 25 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-10-16 15:14:40 PDT
Bug 760951 was backed out of Firefox 17. In the style of comment #6, I've marked this as fixed for fx17.

Note You need to log in before you can comment on or make changes to this bug.